var uitbreidGrootte = "300px";
var normaleGrootte = "22px";

// Toggle de filters opties.
$("#filters_opties").click(function() {
    if($("#filters").css("display") == "none"){
        $("#filters").css("display", "block");
        $(this).text("-");
    } else {
        $("#filters").css("display", "none");
        $(this).text("+");
    }
});

/* Breidt de tabel row uit waarop geklikt is door de event informatie te laten zien
   Als hij bestaat en hidden was. */
$(".event, .datum, .doelgroep").click(function() {
    if($(this).parent().find(".event_informatie").css("display") == "block"){
        $(this).parent().find(".event_informatie").css("display", "none");
    } else if($(".event_informatie").css("display") == "block") {
        $(".event_informatie").css("display", "none");
        $(this).parent().find(".event_informatie").css("display", "block");
    } else {
        $(this).parent().find(".event_informatie").css("display", "block");
    }
});

/* dropdown doelgroepen */
$(".labels_filter").click(function(event) {
    if($(this).parent().find(".doelgroepen_filter").css("display") == "block"){
        $(this).parent().find(".doelgroepen_filter").css("display", "none");;
    } else {
        /* Sluit alle dropdown menu */
        $(".doelgroepen_filter").each(function() {
             $(this).css("display", "none");
        });

        $(this).parent().find(".doelgroepen_filter").css("display", "block");
    }
}).children().click(function(e) {
    return false;
});

// Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
$(".doelgroep_edit_filter").click(function() {
    $(".label_selected").each(function (){
        if($(this).val() == "selected"){
            $(this).val("");
            $(this).parent().css("background-color", "");
        }
    });

    $(this).css("background-color", "grey");
    $(this).find(".label_selected").attr("value", "selected");
});

/* Highlight het goedgekeurd knopje als er op geklikt wordt
 * en zet de value van het antwoord naar goedgekeurd.
 */
$(".goedgekeurd").click(function() {
    if($(this).parent().find(".answer").val() == "goedgekeurd"){
        $(this).parent().find(".answer").attr("value", "");
        $(this).css("background-color", "green");
    } else {
        $(this).parent().find(".answer").attr("value", "goedgekeurd");
        $(this).css("background-color", "lightgreen");
        $(this).parent().find(".afgekeurd").css("background-color", "red");
    }
});

$(".uitbreiden").click(function() {
    // if($(this).parent().find(".event_text").text() == ""){
    //     $(this).parent().find(".event_text").attr("placeholder", "No description added");
    // }
    if($(this).parent().find(".event_informatie").css("display") == "block"){
        $(this).parent().find(".event_informatie").css("display", "none");
    } else if($(".event_informatie").css("display") == "block") {
        $(".event_informatie").css("display", "none");
        $(this).parent().find(".event_informatie").css("display", "block");
    } else {
        $(this).parent().find(".event_informatie").css("display", "block");
    }
});

/* Highlight het verwijder knopje als er op geklikt wordt
 * en zet de value van het antwoord naar verwijder.
 */
$(".afgekeurd").click(function() {
    if($(this).parent().find(".answer").val() == "afgekeurd"){
        $(this).parent().find(".answer").attr("value", "");
        $(this).css("background-color", "red");
    } else {
        $(this).parent().find(".answer").attr("value", "afgekeurd");
        $(this).css("background-color", "salmon");
        $(this).parent().find(".goedgekeurd").css("background-color", "green");
    }
});
